Class Index | File Index

## Classes

- _global_
- Boolean
- Date
- Object
- orion.breadcrumbs.BreadCrumbs
- orion.cm.Configuration
- orion.cm.ConfigurationAdmin
- orion.cm.ConfigurationProperties
- orion.cm.ManagedService
- orion.commandregistry.CommandRegistry
- orion.commandregistry.ParameterCollector
- orion.commands.Command
- orion.commands.CommandInvocation
- orion.commands.CommandParameter
- orion.commands.ParametersDescription
- orion.commands.URLBinding
- orion.compare.CompareCommandFactory
- orion.compare.CompareOptions
- orion.compare.CompareSyntaxHighlighter
- orion.compare.CompareView
- orion.compare.CompareViewOptions
- orion.compare.DiffProvider
- orion.compare.FileOptions
- orion.compare.rulers.CompareRuler
- orion.compare.rulers.LineNumberCompareRuler
- orion.compare.toggleableCompareView
- orion.compare.TwoWayCompareView
- orion.compareUtils
- orion.core.ContentType
- orion.core.ContentTypeService
- orion.Deferred
- orion.dialogs.DialogService
- orion.DiffTreeNavigator.DiffTreeNavigator
- orion.DiffTreeNavigator.inlineDiffBlockFeeder
- orion.DiffTreeNavigator.TwoWayDiffBlockFeeder
- orion.edit.Dispatcher
- orion.editor.ActionDescription
- orion.editor.Annotation
- orion.editor.AnnotationIterator
- orion.editor.AnnotationModel
- orion.editor.AnnotationRuler
- orion.editor.AnnotationStyler
- orion.editor.AnnotationType
- orion.editor.AnnotationTypeList
- orion.editor.AsyncStyler
- orion.editor.BlurEvent
- orion.editor.ContentAssist
- orion.editor.ContentAssistMode
- orion.editor.ContentAssistProvider
- orion.editor.ContentAssistProvider.Context
- orion.editor.ContentAssistWidget
- orion.editor.ContextMenuEvent
- orion.editor.CssContentAssistProvider
- orion.editor.DestroyEvent
- orion.editor.EditOptions
- orion.editor.Editor
- orion.editor.EventTarget
- orion.editor.FindIterator
- orion.editor.FindOptions
- orion.editor.FocusEvent
- orion.editor.FoldingAnnotation
- orion.editor.HTMLContentAssistProvider
- orion.editor.InputManager
- orion.editor.JSTemplateContentAssistProvider
- orion.editor.KeyEvent
- orion.editor.LineNumberRuler
- orion.editor.LineStyleEvent
- orion.editor.ModelChangedEvent
- orion.editor.ModelChangingEvent
- orion.editor.ModifyEvent
- orion.editor.OverviewRuler
- orion.editor.Projection
- orion.editor.ProjectionTextModel
- orion.editor.regex
- orion.editor.Ruler
- orion.editor.ScrollEvent
- orion.editor.Selection
- orion.editor.SelectionEvent
- orion.editor.Style
- orion.editor.StyleRange
- orion.editor.StyleReadyEvent
- orion.editor.StyleReadyEvent#LineStyle
- orion.editor.TextMateStyler
- orion.editor.TextModel
- orion.editor.TextTheme
- orion.editor.TextView
- orion.editor.TextViewOptions
- orion.editor.ThemeChangedEvent
- orion.editor.ThemeStyleSheet
- orion.editor.UndoStack
- orion.editor.VerifyEvent
- orion.EventTarget
- orion.explorer.Explorer
- orion.explorer.ExplorerFlatModel
- orion.explorer.ExplorerModel
- orion.explorer.FileExplorer
- orion.explorer.FileExplorer.ModelHandler
- orion.explorer.NavigatorRenderer
- orion.explorer.SelectionRenderer
- orion.explorerNavHandler.ExplorerNavDict
- orion.explorerNavHandler.ExplorerNavHandler
- orion.extensionCommands
- orion.favorites.FavoritesService
- orion.fileClient.FileClient
- orion.fileCommands
- orion.fileUtils
- orion.form
- orion.git.GitCommitExplorer
- orion.git.GitLogExplorer
- orion.git.GitRepositoryExplorer
- orion.git.GitReviewRequestExplorer
- orion.git.GitService
- orion.git.GitStatusExplorer
- orion.git.widgets.OpenCommitDialog
- orion.globalCommands
- orion.highlight.SyntaxHighlighter
- orion.KeyBinding
- orion.KeySequence
- orion.KeyStroke
- orion.links.TextLinkService
- orion.log.LogService
- orion.metatype.AttributeDefinition
- orion.metatype.MetaTypeRegistry
- orion.metatype.ObjectClassDefinition
- orion.mirror.CodeMirrorStyler
- orion.mirror.Mirror
- orion.mirror.MirrorLineStyle
- orion.mirror.ModeApplier
- orion.navoutliner.NavigationOutliner
- orion.objects
- orion.operation
- orion.outliner.Outliner
- orion.outliner.OutlineService
- orion.PageLinks
- orion.parametercollectors.CommandParameterCollector
- orion.pluginregistry.Plugin
- orion.pluginregistry.PluginRegistry
- orion.preferences.Preferences
- orion.preferences.PreferencesService
- orion.problems.ProblemService
- orion.profile.usersClient.UsersClient
- orion.progress.ProgressService
- orion.Promise
- orion.searchClient.Searcher
- orion.searches.SavedSearches
- orion.Searches.SearchBuilder
- orion.Searches.SearchList
- orion.searchResults.SearchResultsGenerator
- orion.searchUtils
- orion.searchUtils.SearchParams
- orion.selection.Selection
- orion.serviceregistry.ServiceReference
- orion.serviceregistry.ServiceRegistration
- orion.serviceregistry.ServiceRegistry
- orion.ServiceTracker
- orion.settings.Setting
- orion.settings.SettingsRegistry
- orion.shell.Command
- orion.shell.Parameter
- orion.shell.ParameterType
- orion.shell.Shell
- orion.sidebar.MiniNavViewMode
- orion.sidebar.Sidebar
- orion.sidebar.ViewMode
- orion.sites.SiteClient
- orion.sites.SiteConfiguration
- orion.sites.SiteEditor
- orion.sites.SiteService
- orion.sites.ViewOnSiteTree
- orion.status.StatusReportingService
- orion.tasks.TaskList
- orion.TreeModelIterator.TreeModelIterator
- orion.treetable.TableTree
- orion.uiUtils
- orion.URITemplate
- orion.util
- orion.webui.dialogs.OpenResourceDialog
- orion.webui.dialogs.OperationsDialog
- orion.webui.littlelib
- orion.widgets.Section
- orion.widgets.settings.SplitSelectionLayout
- orion.xhr
- orion.xhr.Result
- String

# Class orion.editor.ContentAssist

Provides content assist for a TextView.
Defined in: </shared/eclipse/e4/orion/I201306251555/plugins/org.eclipse.orion.client.editor/web/orion/editor/contentAssist.js>.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| orion.editor.ContentAssist(textView) Creates a `ContentAssist` for a TextView.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| activate()
| addEventListener(type, listener, useCapture) Adds an event listener to this event target.
| apply(proposal) Applies the given proposal to the TextView.
| computeProposals() Computes the proposals at the TextView's current caret offset.
| deactivate()
| dispatchEvent(evt) Dispatches the given event to the listeners added to this event target.
| getTextView()
| handleError(error)
| isActive()
| isDeactivatingChange(event)
| removeEventListener(type, listener, useCapture) Removes an event listener from the event target.
| setMode(mode)
| setProgress(progress) Sets the progress handler that will display progress information, if any are generated by content assist providers.
| setProviders(providers) Sets the content assist providers that this ContentAssist will consult to obtain proposals.

Event Summary
Event Attributes | Event Name and Description
--- | ---
| ActivatingEvent() Dispatched when a ContentAssist is about to be activated.
| DeactivatingEvent() Dispatched when a ContentAssist is about to be deactivated.
| ProposalAppliedEvent() Dispatched when a ContentAssist has applied a proposal.
| ProposalsComputedEvent() Dispatched whenever a ContentAssist has obtained proposals from its providers.

Class Detail
orion.editor.ContentAssist(textView)
Creates a `ContentAssist` for a TextView. A ContentAssist consults a set of orion.editor.ContentAssistProviders to obtain proposals for text that may be inserted into a TextView at a given offset.

A ContentAssist is generally activated by its TextView action, at which point it computes the set of proposals available. It will re-compute the proposals in response to subsequent changes on the TextView (for example, user typing) for as long as the ContentAssist is active. A proposal may be applied by calling #apply, after which the ContentAssist becomes deactivated. An active ContentAssist may be deactivated by calling #deactivate.

A ContentAssist dispatches events when it becomes activated or deactivated, and when proposals have been computed.

Parameters:
{orion.editor.TextView} textView
  The TextView to provide content assist for.

Method Detail
activate()

addEventListener(type, listener, useCapture)
Adds an event listener to this event target.
Defined in: </shared/eclipse/e4/orion/I201306251555/plugins/org.eclipse.orion.client.editor/web/orion/editor/eventTarget.js>.

Parameters:
{String} type
  The event type.
{Function|EventListener} listener
  The function or the EventListener that will be executed when the event happens.
{Boolean} useCapture Optional, Default: false
  `true` if the listener should be trigged in the capture phase.

See:
  #removeEventListener

{Boolean} apply(proposal)
Applies the given proposal to the TextView.

Parameters:
{Object} proposal Optional

Returns:
  {Boolean} `true` if the proposal was applied; `false` if no proposal was provided.

computeProposals()
Computes the proposals at the TextView's current caret offset.

deactivate()

dispatchEvent(evt)
Dispatches the given event to the listeners added to this event target.
Defined in: </shared/eclipse/e4/orion/I201306251555/plugins/org.eclipse.orion.client.editor/web/orion/editor/eventTarget.js>.

Parameters:
{Event} evt
  The event to dispatch.

{orion.editor.TextView} getTextView()

Returns:
  {orion.editor.TextView}

handleError(error)

Parameters:
error

{Boolean} isActive()

Returns:
  {Boolean}

{Boolean} isDeactivatingChange(event)

Parameters:
{orion.editor.ModelChangingEvent} event

Returns:
  {Boolean} `true` if the event describes a change that should deactivate content assist.

removeEventListener(type, listener, useCapture)
Removes an event listener from the event target.

All the parameters must be the same ones used to add the listener.

Defined in: </shared/eclipse/e4/orion/I201306251555/plugins/org.eclipse.orion.client.editor/web/orion/editor/eventTarget.js>.

Parameters:
{String} type
  The event type
{Function|EventListener} listener
  The function or the EventListener that will be executed when the event happens.
{Boolean} useCapture Optional, Default: false
  `true` if the listener should be trigged in the capture phase.

See:
  #addEventListener

setMode(mode)

Parameters:
mode

setProgress(progress)
Sets the progress handler that will display progress information, if any are generated by content assist providers.

Parameters:
progress

setProviders(providers)
Sets the content assist providers that this ContentAssist will consult to obtain proposals.

Parameters:
{orion.editor.ContentAssistProvider[]} providers
  The providers.

Event Detail
ActivatingEvent()
Dispatched when a ContentAssist is about to be activated.

DeactivatingEvent()
Dispatched when a ContentAssist is about to be deactivated.

ProposalAppliedEvent()
Dispatched when a ContentAssist has applied a proposal.

This event's `data` field gives information about the proposal that was applied.

ProposalsComputedEvent()
Dispatched whenever a ContentAssist has obtained proposals from its providers.

This event's `data` field gives information about the proposals.

Documentation generated by JsDoc Toolkit 2.4.0 on Tue Jun 25 2013 15:58:40 GMT-0400 (EDT)